## org.apache.commons.math3.exception
Class MathArithmeticException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.ArithmeticException
                      org.apache.commons.math3.exception.MathArithmeticException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

    public class MathArithmeticException

extends java.lang.ArithmeticException
implements ExceptionContextProvider

Base class for arithmetic exceptions. It is used for all the exceptions that have the semantics of the standard `ArithmeticException`, but must also provide a localized message.

Since:
  3.0
Version:
  $Id: MathArithmeticException.java 1364378 2012-07-22 17:42:38Z tn $
See Also:
  Serialized Form

Field Summary
`private ExceptionContext` `context` Context.
`private static long` `serialVersionUID` Serializable version Id.

Constructor Summary
`MathArithmeticException()` Default constructor.
`MathArithmeticException(Localizable pattern, java.lang.Object... args)` Constructor with a specific message.

Method Summary
`ExceptionContext` `getContext()` Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.
`java.lang.String` `getLocalizedMessage()`
`java.lang.String` `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version Id.

  See Also:
    Constant Field Values

### context

    private final ExceptionContext context

  Context.

Constructor Detail

### MathArithmeticException

    public MathArithmeticException()

  Default constructor.

### MathArithmeticException

    public MathArithmeticException(Localizable pattern,
                                   java.lang.Object... args)

  Constructor with a specific message.

  Parameters:
    `pattern` - Message pattern providing the specific context of the error.
    `args` - Arguments.

Method Detail

### getContext

    public ExceptionContext getContext()

  Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.

  Specified by:
    `getContext` in interface `ExceptionContextProvider`
  Returns:
    a reference to the exception context.

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

Copyright (c) 2003-2013 Apache Software Foundation